curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"recipient": "reports@methodfi.com"
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com",
"reports@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Recipients
Add a Recipient
POST
/
report_schedules
/
{schedule_id}
/
recipients
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"recipient": "reports@methodfi.com"
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com",
"reports@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Adds a single recipient email address to an existing Report Schedule.
Recipients receive emailed reports when the schedule uses the
email
delivery method.
Path Parameters
Body
Returns
Returns the updated Report Schedule object.curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/recipients \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"recipient": "reports@methodfi.com"
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com",
"reports@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
⌘I